### Enumeration

# Vips ImageType

#### Declaration

    enum Vips.ImageType

#### Description

No description available.

#### Members

`VIPS_IMAGE_ERROR`

  No description available.

  - Value: `-1`
  - Available since: 8.0
`VIPS_IMAGE_NONE`

  No description available.

  - Value: `0`
  - Available since: 8.0
`VIPS_IMAGE_SETBUF`

  No description available.

  - Value: `1`
  - Available since: 8.0
`VIPS_IMAGE_SETBUF_FOREIGN`

  No description available.

  - Value: `2`
  - Available since: 8.0
`VIPS_IMAGE_OPENIN`

  No description available.

  - Value: `3`
  - Available since: 8.0
`VIPS_IMAGE_MMAPIN`

  No description available.

  - Value: `4`
  - Available since: 8.0
`VIPS_IMAGE_MMAPINRW`

  No description available.

  - Value: `5`
  - Available since: 8.0
`VIPS_IMAGE_OPENOUT`

  No description available.

  - Value: `6`
  - Available since: 8.0
`VIPS_IMAGE_PARTIAL`

  No description available.

  - Value: `7`
  - Available since: 8.0